Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api
Class JSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.jaspersoft.jasperserver.api.JSException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  JSDuplicateResourceException, JSExceptionWrapper, JSResourceNotFoundException, JSValidationException, ReportJobNotFoundException

    public class JSException

extends java.lang.RuntimeException

Version:
  $Id: JSException.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object[]` | `args`

Constructor Summary
`JSException(java.lang.String message)`
`JSException(java.lang.String message, java.lang.Object[] args)`
`JSException(java.lang.String message, java.lang.Throwable cause)`
`JSException(java.lang.Throwable cause)`

Method Summary
`java.lang.Object[]` | `getArgs()`
`boolean` | `isWrapperObject()`
`void` | `setArgs(java.lang.Object[] args)`
`void` | `setWrapperObject(boolean wrapperObject)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### args

    protected java.lang.Object[] args

Constructor Detail

### JSException

    public JSException(java.lang.String message)

### JSException

    public JSException(java.lang.String message,
                       java.lang.Throwable cause)

### JSException

    public JSException(java.lang.Throwable cause)

### JSException

    public JSException(java.lang.String message,
                       java.lang.Object[] args)

Method Detail

### getArgs

    public java.lang.Object[] getArgs()

  Returns:
    Returns the args.

### setArgs

    public void setArgs(java.lang.Object[] args)

  Parameters:
    `args` - The args to set.

### isWrapperObject

    public boolean isWrapperObject()

  Returns:
    Returns the wrapperObject.

### setWrapperObject

    public void setWrapperObject(boolean wrapperObject)

  Parameters:
    `wrapperObject` - The wrapperObject to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.